%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%global srcname psmt2-frontend

Name:           ocaml-psmt2-frontend
Version:        0.4.0
Release:        %mkrel 3
Summary:        Parser and typechecker for an extension of SMT-LIB 2
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/OCamlPro-Coquera/psmt2-frontend
Source0:        %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

Patch0:         psmt2-frontend-0.4.0-mga-fix-build-with-sphinx.patch
Patch1:         psmt2-frontend-0.4.0-gh-trivial-typo.patch

BuildRequires:  make
BuildRequires:  ocaml >= 4.04
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-menhir
BuildRequires:  ocaml-odoc
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)

%description
This package contains a library to parse and typecheck a conservative
extension of the SMT-LIB 2 standard with prenex polymorphism.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%package        docs
Summary:        Documentation for %{name}
 
%description    docs
Documentation for %{name}.

%prep
%autosetup -n %{srcname}-%{version} -p1

# Do not use git to find the version; we don't have a git checkout
sed -i '/^git =/d;/^branch=/d;s/^\(version = \).*/\1"%{version}"/' sphinx/conf.py

%build
%dune_build
make sphinx

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE

%files devel -f .ofiles-devel

%files docs
%doc docs/sphinx


%changelog
* Thu Jun 19 2025 daviddavid <daviddavid> 0.4.0-3.mga10
+ Revision: 2192814
- rebuild for new ocaml 5.3.0

* Tue Mar 07 2023 kekepower <kekepower> 0.4.0-2.mga9
+ Revision: 1948331
- Add a GitHub PR to fix a trivial typo

* Mon Mar 06 2023 kekepower <kekepower> 0.4.0-1.mga9
+ Revision: 1947902
- Update to version 0.4.0

* Wed May 18 2022 pterjan <pterjan> 0.1-14.mga9
+ Revision: 1858775
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 0.1-13.mga9
+ Revision: 1833132
- Mageia 9 Mass Rebuild

* Wed Oct 13 2021 tv <tv> 0.1-12.mga9
+ Revision: 1751011
- Move META to the main package
- Add -autoconf patch for autoconf 2.71

* Fri Mar 05 2021 tv <tv> 0.1-11.mga9
+ Revision: 1698786
- fix URL
- add devel subpkg

* Thu Mar 04 2021 tv <tv> 0.1-10.mga9
+ Revision: 1698557
- rebuild for ocaml-4.2-12

* Sat Aug 22 2020 tv <tv> 0.1-9.mga8
+ Revision: 1617869
- Rebuild for new ocaml deps generator

* Fri Feb 28 2020 umeabot <umeabot> 0.1-8.mga8
+ Revision: 1551460
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.1-7.mga8
+ Revision: 1544193
- Mageia 8 Mass Rebuild

* Fri Jan 24 2020 tv <tv> 0.1-6.mga8
+ Revision: 1482694
- rebuild for ocaml-4.10
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jun 19 2019 tmb <tmb> 0.1-5.mga7
+ Revision: 1400356
- rebuild for armv7

* Wed Jun 19 2019 tmb <tmb> 0.1-4.mga7
+ Revision: 1400350
- rollback to 0.1

* Fri Jan 18 2019 kekepower <kekepower> 0.2-1.mga7
+ Revision: 1357968
- Update to version 0.2
- Rediffed patches

* Tue Oct 23 2018 pterjan <pterjan> 0.1-3.mga7
+ Revision: 1324403
- Rebuild for ocaml 4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.1-2.mga7
+ Revision: 1299920
- Mageia 7 Mass Rebuild

* Sat Apr 28 2018 kekepower <kekepower> 0.1-1.mga7
+ Revision: 1223157
- imported package ocaml-psmt2-frontend

